Bug 226185 - Re-land r276592 with a fix for put() override in prototype chain of a JSProxy
Summary: Re-land r276592 with a fix for put() override in prototype chain of a JSProxy
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Alexey Shvayka
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-05-24 13:22 PDT by Alexey Shvayka
Modified: 2021-06-07 18:53 PDT (History)
12 users (show)

See Also:


Attachments
Patch (171.20 KB, patch)
2021-05-24 13:28 PDT, Alexey Shvayka
no flags Details | Formatted Diff | Diff
Patch (172.68 KB, patch)
2021-06-06 18:24 PDT, Alexey Shvayka
shvaikalesh: review?
Details | Formatted Diff | Diff
Original patch for diffing (178.54 KB, patch)
2021-06-07 11:59 PDT, Keith Miller
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Shvayka 2021-05-24 13:22:51 PDT
Re-land r276592 with a fix for opaque API objects
Comment 1 Alexey Shvayka 2021-05-24 13:28:23 PDT
Created attachment 429557 [details]
Patch
Comment 2 EWS Watchlist 2021-05-24 13:29:28 PDT
This patch modifies the imported WPT tests. Please ensure that any changes on the tests (not coming from a WPT import) are exported to WPT. Please see https://trac.webkit.org/wiki/WPTExportProcess
Comment 3 Radar WebKit Bug Importer 2021-05-31 13:23:17 PDT
<rdar://problem/78692802>
Comment 4 Alexey Shvayka 2021-06-06 18:24:16 PDT
Created attachment 430703 [details]
Patch

Properly fix put() override in prototype chain of a JSProxy.
Comment 5 Keith Miller 2021-06-07 11:59:57 PDT
Created attachment 430770 [details]
Original patch for diffing
Comment 6 Alexey Shvayka 2021-06-07 18:53:53 PDT
Committed r278589 (238579@main): <https://commits.webkit.org/238579@main>